Skip to main content
PUT
/
open-api
/
v1.0
/
public-token
Get or create a public token
curl --request PUT \
  --url https://api.fourthwall.com/open-api/v1.0/public-token \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.fourthwall.com/open-api/v1.0/public-token"

headers = {"Authorization": "Bearer <token>"}

response = requests.put(url, headers=headers)

print(response.text)
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.fourthwall.com/open-api/v1.0/public-token', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "token": "<string>"
}
{
  "code": "OPEN_API_TOO_MANY_REQUESTS",
  "title": "Too many requests",
  "status": 429
}
OAuth scope: shop_readAPI keys have full access to this endpoint.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

OK

token
string
required